Page MenuHomePhabricator

Ex:WikibaseQuality - Needs to escape output by default
Closed, ResolvedPublic

Description

As a library (the html table building classes), both HtmlTableHeaderBuilder and HtmlTableCellBuilder need to escape their output by default, and have a class / function / flag, that is clearly named (should probably have "raw" or "nonEscaped" in the name), that allows the library user to put raw html into the table headers/cells.

Event Timeline

csteipp created this task.Jun 16 2015, 5:04 PM
csteipp claimed this task.
csteipp raised the priority of this task from to Needs Triage.
csteipp updated the task description. (Show Details)
JanZerebecki moved this task from Backlog to TODO on the Wikibase-Quality board.Jun 18 2015, 12:36 PM

Change 219174 had a related patch set uploaded (by Dominic.sauer):
T102649 Allow raw content for html builder, escape content by default

https://gerrit.wikimedia.org/r/219174

dominic.sauer moved this task from TODO to DOING on the Wikibase-Quality board.Jun 18 2015, 2:43 PM

Change 219180 had a related patch set uploaded (by Soeren.oldag):
T102649 Allow raw content for html builder, escape content by default

https://gerrit.wikimedia.org/r/219180

Change 219180 merged by Soeren.oldag:
T102649 Allow raw content for html builder, escape content by default

https://gerrit.wikimedia.org/r/219180

Change 219174 merged by Soeren.oldag:
T102649 Allow raw content for html builder, escape content by default

https://gerrit.wikimedia.org/r/219174

soeren.oldag closed this task as Resolved.Jun 18 2015, 6:04 PM
soeren.oldag set Security to None.
soeren.oldag moved this task from DOING to DONE on the Wikibase-Quality board.Jun 23 2015, 1:01 PM
sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 7:20 PM